<?






 
class HiSelector extends CollectionComponent {

 var $d_hiddenValues = array();
 var $d_sameFrame;
 var $d_isOpen;

 function HiSelector( &$component, $sameFrame = false ) {
 parent::CollectionComponent();
 $this->setComponent( "c", $component );
 $main = &GUIFactory::getMainGUI();
 $main->includeJS( "hiselector" );
 $this->d_isOpen = false;
 $this->d_sameFrame = $sameFrame;
 }
 
 function getSerializeKey() {
 return array( 
 "parent"=>parent::getSerializeKey(),
 "HiSelector:sameFrame"=>$this->d_sameFrame, 
 "HiSelector:isOpen"=>$this->d_isOpen );
 }

 function initFromSerializeKey( $key ) {
 $main = &GUIFactory::getMainGUI();
 $main->includeJS( "hiselector" );
 parent::initFromSerializeKey( $key["parent"] );
 $this->d_sameFrame = $key["HiSelector:sameFrame"];
 $this->d_isOpen = $key["HiSelector:isOpen"];
 if ($this->d_sameFrame && $this->d_isOpen) {
 $main->enableVFrames(true);
 }
 }

 function setOpen( $open ) {
 $this->d_isOpen = $open;
 }
 
 function resolveAction( &$form, &$action ) {
 if ($action->getName() == "open") {
 $this->d_isOpen = true;
 $main =& GUIFactory::getMainGUI();
 $main->enableVFrames(true);
 }
 }

 function _showOpenIcon() {
 return true;
 }
 
 function getHTML( &$form, $fieldPrefix, $doCheck, $checkSeverity, $key ) {
 global $ICO_MINI, $STAG, $ICO_PAGE_OFF;
 
 if ($this->d_sameFrame) {
 
 $openIcon = "<a href=\"javascript:".$form->getJsActionCall( new ComponentResolvableFormAction($key, "open") )."\">".img($ICO_MINI)."</a>";
 if ($this->d_isOpen) {
 $this->clearHiddenValues();
 $html = $this->handleSelection();
 if ($html === true) {
 $this->d_isOpen = false;
 } else {
 $main =& GUIFactory::getMainGUI();
 $main->addColumnHtml($html);
 }
 }
 } else {
 $openIcon = "<a href=\"javascript:openSelector( '$STAG', 'selSID=".$this->getUniqueKey().
 "&fName=".$form->getFormName()."&vPrefix=".$fieldPrefix."c' );\">".img($ICO_MINI, 0, i18n("cn_minibrowser"))."</a>";
 $clearAction = $form->getJsActionCall(new ClearHiSelectorFormAction($key));
 $clearIcon = "<a href=\"javascript:".htmlentities($clearAction)."\">".img($ICO_PAGE_OFF, 0, i18n("minibrowser_clear_selection"))."</a>";
 }
 $ret = $this->_getComponentHTML( "c", $form, $fieldPrefix, $doCheck, $checkSeverity, $key );
 if ( !is_array( $ret ) ) $ret = array( ""=>$ret );
 reset( $ret );
 if( !$this->_showOpenIcon() ) return '';
 $errordiv = $this->getErrorDiv($form, $fieldPrefix);

 $ret[2][1] = "$errrodiv<table border=0 cellspacing=0 cellpadding=0><tr><td>".$ret[2][1]."</td><td>$clearIcon</td><td>$openIcon</td></tr></table>";
 return $ret;
 }
 
 function setFieldValue( $name, $value ) {
 $c = &$this->getComponent( "c" );
 $c->setFieldValue( $name, $value );
 }
 
 function getFieldValue( $name ) {
 $c = &$this->getComponent( "c" );
 return $c->getFieldValue( $name );
 }
 
 function setObject(&$obj) {
 $c = &$this->getComponent( "c" );
 $c->setObject($obj);
 }
 
 
 
 function &getFormComponent() {
 $c = &$this->getComponent( "c" );
 return $c;
 } 
 
 function clearHiddenValues() {
 $this->d_hiddenValues = array();
 }
 
 








 function setHiddenValue( $key, $value )
 {
 $this->d_hiddenValues[$key] = $value; 
 }
 
 




 function getHiddenValuesURLStr()
 {
 $ret = "";
 $first = true;
 foreach ( $this->d_hiddenValues as $key=>$value )
 {
 if ( !$first )
 $ret .= "&";
 else
 $first = false;
 $ret .= $key."=".urlencode($value);
 }
 return $ret;
 }


 




 function getHiddenValuesInputFields()
 {
 $ret = "";
 foreach ( $this->d_hiddenValues as $key=>$value )
 {
 $ret .= "<input type=hidden name=\"$key\" value=\"".urlencode($value)."\">";
 }
 return $ret;
 }

 function getHiddenFields() {
 return $this->d_hiddenValues;
 }

 






 function getHiddenValuesHIFields( $setGlobalValues )
 {
 $ret = array();
 foreach ( $this->d_hiddenValues as $key=>$value )
 {
 $f = $HI["hidden"];
 $f["var"] = "$key";
 $ret[] = $f; 
 if ( $setGlobalValues )
 {
 global $$key;
 $$key = $value;
 }
 }
 return $ret;
 }

 
 








 function handleSelection() {}

 


 function clearSelection() {
 $this->clearHiddenValues();
 $this->getComponent("c")->setText("");
 }
}




class ClearHiSelectorFormAction extends FormAction {
 var $m_propertyKey;

 



 function ClearHiSelectorFormAction($propertyKey) {
 $this->m_propertyKey = $propertyKey;
 }
 
 




 function perform(&$form, $param) {
 node_func( "resolveproperty" );
 $fC = &resolveProperty( $this->m_propertyKey , $form);
 $fC->clearSelection();
 }
}


?>
