<?

class CNTableTagObject extends CNTagObject {

 var $rows;
 var $cols;
 var $real_rows;
 var $real_cols;
 
 var $sqlpart;
 var $tag;
 var $dostyles;

 function CNTableTagObject($tagtype, $id = 0) {
 parent::CNTagObject($tagtype,$id);
 $this->dostyles = false;
 }

 function getTType() {
 global $T_TABLETAG;
 return $T_TABLETAG;
 }

 function getProperty($key) {
 if (!$this->isInit()) $this->initFromID();
 $key = strtolower($key);
 $obj = false;
 switch ($key) {
 case "rows":
 $obj = new IntObject($this->rows);
 break;
 case "cols":
 $obj = new IntObject($this->cols);
 break;
 default:
 $obj = parent::getProperty($key);
 }
 return $obj;
 }

 function initFromID() {
 if (parent::initFromID("tab")) {
 $this->rows = $this->tag["detail"]["rows"];
 $this->cols = $this->tag["detail"]["cols"];
 
 $this->calcRealSize();
 
 $tagkey = get_tagkey($this->getTagType(),$this->tag["o_id"]);
 $this->sqlpart = $tagkey["sql"];
 
 return true;
 } else return false;
 }

 function calcRealSize() {
 $rs = get_tablesize($this->getTagType(),$this->getName(),$this->tag["o_id"]);
 $this->real_rows = $rs["rows"];
 $this->real_cols = $rs["cols"];
 if ($this->real_cols > 26) $this->real_cols = 26; 
 }

 function setLinkStylesToCell($val) {
 $this->dostyles = $val;
 }

 function insertCells($cells, $direction, $nr) {
 krsort($cells);
 reset($cells);
 while (list($key,$item) = each($cells)) {
 if (is_numeric($item)) {
 $kind = "row";
 } else {
 $kind = "col";
 $item = ord($item) - 64;
 }
 $start = ($direction > 0)?$item + 1:$item;
 $this->_moveCellBlock($kind, $nr, $start);
 $this->_createCellTags($kind, $start, ($direction > 0)?$item:$item + $nr, $nr, $this->dostyles, true, false);
 if ($kind == "row") {
 $this->_setTableSize($this->rows + $nr, $this->cols, true);
 } else {
 $this->_setTableSize($this->rows, $this->cols + $nr, true);
 }
 }
 }

 function deleteCells($cells) {
 krsort($cells);
 reset($cells);
 while (list($key,$item) = each($cells)) {
 if (is_numeric($item)) {
 $kind = "row";
 } else {
 $kind = "col";
 $item = ord($item) - 64;
 }
 $this->_deleteCells($kind, $item, $this->dostyles);
 $this->_moveCellBlock($kind, -1, $item + 1);
 if ($kind == "row") {
 $this->_setTableSize($this->rows - 1, $this->cols, true);
 } else {
 $this->_setTableSize($this->rows, $this->cols - 1, true);
 }
 }
 }

 function moveCells($cells, $direction, $nr) {
 
 }

 function resizeTable($rows, $cols, $deleteCells = false) {
 $this->_setTableSize($rows, $cols);
 if ($deleteCells) {
 for ($i = $rows + 1; $i <= $this->real_rows; $i++) {
 $this->_deleteCells("row",$i,true);
 }
 for ($i = $cols + 1; $i <= $this->real_cols; $i++) {
 $this->_deleteCells("col",$i,true);
 }
 $this->calcRealSize();
 }
 }

 function _moveCellBlock($kind, $direction, $start, $count = -1, $moveReal = false) {
 if ($direction == 0) return 0;
 $max = ($kind == "row")?$this->real_cols:$this->real_rows;
 $tag_type = $this->getTagType();
 $name = $this->getName();
 if ($count == -1) $moveReal = true;
 if ($kind == "row") {
 $maxCount = ($moveReal)?$this->real_rows:$this->rows;
 } else {
 $maxCount = ($moveReal)?$this->real_cols:$this->cols;
 }
 if ($count == -1) $count = $maxCount - $start + 1;
 else $count = min($count, $maxCount - $start + 1);
 
 for ($i = 0; $i < $count; $i++) {
 $oldPos = ($direction > 0)?$start + $count - 1:$start;
 $newPos = $oldPos + $direction;
 for ($j = 1; $j <= $max; $j++) {
 $coldname = ($kind == "row")?$this->getCellName($oldPos,$j):$this->getCellName($j,$oldPos);
 $cnewname = ($kind == "row")?$this->getCellName($newPos,$j):$this->getCellName($j,$newPos);
 if ($this->dostyles) {
 $sql = "UPDATE ".sqlf_table($tag_type)."tag SET name = '".sqlf_escaped("$name.$cnewname.style")."' WHERE name = '".sqlf_escaped("$name.$coldname.style")."' AND ".$this->sqlpart;
 query($sql);
 }
 $sql = "UPDATE ".sqlf_table($tag_type)."tag SET name = '".sqlf_escaped("$name.$cnewname")."' WHERE name = '".sqlf_escaped("$name.$coldname")."' AND ".$this->sqlpart;
 query($sql);
 }
 }

 
 $newsize = $start + $count - 1 + $direction;
 $oldsize = ($kind == "row")?$this->rows:$this->cols;
 if ($direction > 0 && $newsize > $oldsize) {
 if (!$this->dostyles) {
 
 for ($i = $oldsize + 1; $i <= $newsize; $i++) {
 $this->_createCellTags($kind, $i, $i - $direction, 1, true, false, true);
 }
 }
 }
 
 return $count;
 }

 function _hideCells($kind, $start, $count, $movePos, $hide) {
 $max = ($kind == "row")?$this->real_cols:$this->real_rows;
 $tag_type = $this->getTagType();
 $name = $this->getName();
 
 for ($i = 0; $i < $count; $i++) {
 $oldPos = $start + $i;
 $newPos = $movePos + $i;
 for ($j = 1; $j <= $max; $j++) {
 $coldname = ($kind == "row")?$this->getCellName($oldPos,$j):$this->getCellName($j,$oldPos);
 $cnewname = ($kind == "row")?$this->getCellName($newPos,$j):$this->getCellName($j,$newPos);
 $foldname = ($hide)?$coldname:"!".$coldname;
 $fnewname = ($hide)?"!".$cnewname:$cnewname;
 if ($this->dostyles) {
 $sql = "UPDATE ".sqlf_table($tag_type)."tag SET name = '".sqlf_escaped("$name.$fnewname.style")."' WHERE name = '".sqlf_escaped("$name.$foldname.style")."' AND ".$this->sqlpart;
 query($sql);
 }
 $sql = "UPDATE ".sqlf_table($tag_type)."tag SET name = '".sqlf_escaped("$name.$fnewname")."' WHERE name = '".sqlf_escaped("$name.$foldname")."' AND ".$this->sqlpart;
 query($sql);
 }
 }
 }

 function _createCellTags($kind, $newPos, $clonePos = 0, $count = 1, $createStyles = true, $createTags = true, $noDelete = false) {
 $max = ($kind == "row")?$this->cols:$this->rows;
 $tag_type = $this->getTagType();
 $tag_id = $this->getID();
 $name = $this->getName();
 $t_cid = $this->tag["cid"];
 $cid = array();
 $enabled = array();
 $orig_style = array();
 
 
 if ($kind == "row" && $createStyles) {
 $sql = "SELECT id FROM part WHERE construct_id = ".sqlf_tl_num($t_cid)." AND part.keyword LIKE 'tr.%'";
 $rs = query($sql);
 while (list($key,$val) = each($rs["arr"])) {
 $tr_parts[$val["id"]] = true;
 }
 }
 if ($createStyles) {
 $sql = "SELECT id FROM part WHERE construct_id = ".sqlf_tl_num($t_cid)." AND part.keyword LIKE 'td.%'";
 $rs = query($sql);
 while (list($key,$val) = each($rs["arr"])) {
 $td_parts[$val["id"]] = true;
 }
 }
 
 
 if ($clonePos) {
 if ($createStyles && $kind == "row") {
 $sql = "SELECT id FROM ".sqlf_table($tag_type)."tag WHERE name = '".sqlf_escaped("$name.$clonePos.style")."' AND ".$this->sqlpart;
 $rs = query($sql);
 $orig_tr_style = $rs["arr"][0]["id"];
 }
 for ($i = 1; $i <= $max; $i++) {
 $cname = ($kind == "row")?$this->getCellName($clonePos, $i):$this->getCellName($i, $clonePos);
 if ($createStyles) {
 $sql = "SELECT id, construct_id, enabled FROM ".sqlf_table($tag_type)."tag WHERE name = '".sqlf_escaped("$name.$cname.style")."' AND ".$this->sqlpart;
 $rs = query($sql);
 $orig_style[$i] = ($rs["arr"][0]["id"])?$rs["arr"][0]["id"]:0;
 }
 if ($createTags) {
 $sql = "SELECT id, construct_id, enabled FROM ".sqlf_table($tag_type)."tag WHERE name = '".sqlf_escaped("$name.$cname")."' AND ".$this->sqlpart;
 $rs = query($sql);
 $cid[$i] = ($rs["arr"][0]["construct_id"])?$rs["arr"][0]["construct_id"]:1;
 $enabled[$i] = ($rs["arr"][0]["enabled"])?$rs["arr"][0]["enabled"]:1;
 }
 }
 }
 
 for ($pos = $newPos; $pos < $count; $pos++) {
 if ($kind == "row" && $createStyles) {
 
 $sql = "SELECT id FROM ".sqlf_table($tag_type)."tag WHERE name = '".sqlf_escaped("$name.$pos.style")."' AND ".$this->sqlpart;
 $rs = query($sql);
 if (!$rs["num"] || !$noDelete) {
 if ($rs["arr"][0]["id"]) tag_del($rs["arr"][0]["id"],$tag_type);
 if ($orig_tr_style) tag_duplicate($orig_tr_style,$tag_type,0,"$name.$pos.style");
 else tag_create("$name.$pos.style", $this->tag["o_id"], $tag_type, $t_cid, $this->tag["pub"], 
 $this->tag["enabled"], $tag_id, $tr_parts);
 }
 }
 
 for ($i = 1; $i <= $max; $i++) {
 $cname = ($kind == "row")?$this->getCellName($pos, $i):$this->getCellName($i, $pos);
 if ($createStyles) {
 $sql = "SELECT id FROM ".sqlf_table($tag_type)."tag WHERE name = '".sqlf_escaped("$name.$cname.style")."' AND ".$this->sqlpart;
 $rs = query($sql);
 if (!$rs["num"] || !$noDelete) {
 if ($rs["arr"][0]["id"]) tag_del($rs["arr"][0]["id"],$tag_type);
 if ($orig_style[$i]) tag_duplicate($orig_style[$i],$tag_type,0,"$name.$cname.style");
 else tag_create("$name.$cname.style", $this->tag["o_id"], $tag_type, $t_cid, $this->tag["pub"], 
 $this->tag["enabled"], $tag_id, $td_parts);
 }
 
 }
 if ($createTags) {
 $sql = "SELECT id FROM ".sqlf_table($tag_type)."tag WHERE name = '".sqlf_escaped("$name.$cname")."' AND ".$this->sqlpart;
 $rs = query($sql);
 if (!$rs["num"] || !$noDelete) {
 if ($rs["arr"][0]["id"]) tag_del($rs["arr"][0]["id"],$tag_type);
 tag_create("$name.$cname", $this->tag["o_id"], $tag_type, $cid[$i], $this->tag["pub"], $enabled[$i], $tag_id); 
 echo "name($name.$cname) ";
 die();
 }
 }
 }
 }
 }

 function _deleteCells($kind, $pos, $deleteStyles = false) {
 $max = ($kind == "row")?$this->real_cols:$this->real_rows;
 $tag_type = $this->getTagType();
 $name = $this->getName();
 
 if ($deleteStyles && $kind == "row") {
 $sql = "SELECT id FROM ".sqlf_table($tag_type)."tag WHERE name = '".sqlf_escaped("$name.$pos.style")."' AND ".$this->sqlpart;
 $rs = query($sql);
 if ($rs["arr"][0]["id"]) tag_del($rs["arr"][0]["id"],$tag_type);
 }
 
 for ($i = 1; $i <= $max; $i++) {
 $cname = ($kind == "row")?$this->getCellName($pos, $i):$this->getCellName($i, $pos);
 
 if ($deleteStyles) {
 $sql = "SELECT id FROM ".sqlf_table($tag_type)."tag WHERE name = '".sqlf_escaped("$name.$cname.style")."' AND ".$this->sqlpart;
 $rs = query($sql);
 if ($rs["arr"][0]["id"]) tag_del($rs["arr"][0]["id"],$tag_type);
 }
 
 $sql = "SELECT id FROM ".sqlf_table($tag_type)."tag WHERE name = '".sqlf_escaped("$name.$cname")."' AND ".$this->sqlpart;
 $rs = query($sql);
 if ($rs["arr"][0]["id"]) tag_del($rs["arr"][0]["id"],$tag_type);
 }
 }

 function _setTableSize($rows, $cols, $doReal = false) {
 if ($doReal) {
 $this->real_rows += $rows - $this->rows;
 $this->real_cols += $cols - $this->cols;
 }
 $this->rows = $rows;
 $this->cols = $cols;
 $t_pid = $this->tag["detail"]["pid"];
 $sql = "UPDATE value SET value_text='".sqlf_escaped(implode(";",array($cols,$rows)))."' WHERE part_id = ".sqlf_tl_num($t_pid)." AND ".sqlf_name($this->getTagType())."tag_id = ".sqlf_tl_num($this->getID());
 query($sql);
 }

 function getCellName($row, $col) {
 return chr($col + 64).$row;
 }

}

class CNTemplateTableTagObject extends CNTableTagObject {
 
 function CNTemplateTableTagObject($id = 0) {
 parent::CNTableTagObject("template",$id);
 }
}

class CNContentTableTagObject extends CNTableTagObject {
 
 function CNContentTableTagObject($id = 0) {
 parent::CNTableTagObject("content",$id);
 }
}

class CNObjTableTagObject extends CNTableTagObject {
 
 function CNObjTableTagObject($id = 0) {
 parent::CNTableTagObject("obj",$id);
 }
}

?>
