-- MySQL dump 10.11
--
-- Host: localhost    Database: portalnode
-- ------------------------------------------------------
-- Server version	5.0.41

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `addresses`
--

DROP TABLE IF EXISTS `addresses`;
CREATE TABLE `addresses` (
  `id` int(11) NOT NULL auto_increment,
  `cat_id` int(11) NOT NULL default '0',
  `name` varchar(255) default NULL,
  `name2` varchar(255) default NULL,
  `description` text,
  `street` varchar(255) default NULL,
  `zip` varchar(10) default NULL,
  `city` varchar(255) default NULL,
  `region` varchar(255) default NULL,
  `country` varchar(255) default NULL,
  `phone` varchar(255) default NULL,
  `phone2` varchar(255) default NULL,
  `fax` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `website` varchar(255) default NULL,
  `website2` varchar(255) default NULL,
  `cdate` int(11) default NULL,
  `active` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Table structure for table `addresses_category`
--

DROP TABLE IF EXISTS `addresses_category`;
CREATE TABLE `addresses_category` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `description` text,
  `portalid` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Table structure for table `assistent_group`
--

DROP TABLE IF EXISTS `assistent_group`;
CREATE TABLE `assistent_group` (
  `id` int(11) NOT NULL auto_increment,
  `text` text,
  `portalid` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Table structure for table `assistent_message`
--

DROP TABLE IF EXISTS `assistent_message`;
CREATE TABLE `assistent_message` (
  `id` int(11) NOT NULL auto_increment,
  `text` text,
  `fid` int(11) default NULL,
  `height` int(11) default NULL,
  `top` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

--
-- Table structure for table `cache_clicks`
--

DROP TABLE IF EXISTS `cache_clicks`;
CREATE TABLE `cache_clicks` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `LinkID` int(10) unsigned NOT NULL default '0',
  `clicks` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=4038 DEFAULT CHARSET=utf8;

--
-- Table structure for table `commentz`
--

DROP TABLE IF EXISTS `commentz`;
CREATE TABLE `commentz` (
  `id` int(15) NOT NULL auto_increment,
  `titel` varchar(255) default NULL,
  `text` blob,
  `name` varchar(100) default NULL,
  `email` varchar(255) default NULL,
  `cdate` int(11) default NULL,
  `pageid` varchar(255) default NULL,
  `ip` varchar(15) default NULL,
  `userid` int(11) default NULL,
  `send_entries` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Table structure for table `country`
--

DROP TABLE IF EXISTS `country`;
CREATE TABLE `country` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) default NULL,
  `name_2` varchar(100) default NULL,
  `capital` varchar(50) default NULL,
  `iso3166` char(2) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=248 DEFAULT CHARSET=utf8;

--
-- Table structure for table `debug_log`
--

DROP TABLE IF EXISTS `debug_log`;
CREATE TABLE `debug_log` (
  `id` int(11) NOT NULL auto_increment,
  `errtime` int(11) default NULL,
  `errtext` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `domains`
--

DROP TABLE IF EXISTS `domains`;
CREATE TABLE `domains` (
  `id` int(11) NOT NULL auto_increment,
  `portalid` int(11) default NULL,
  `hostname` varchar(255) default NULL,
  `template` varchar(255) default NULL,
  `header` varchar(255) default NULL,
  `footer` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7364 DEFAULT CHARSET=utf8;

--
-- Table structure for table `domains_internal`
--

DROP TABLE IF EXISTS `domains_internal`;
CREATE TABLE `domains_internal` (
  `domains_id` int(11) NOT NULL,
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`domains_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `forum_support`
--

DROP TABLE IF EXISTS `forum_support`;
CREATE TABLE `forum_support` (
  `id` int(10) unsigned NOT NULL default '0',
  `datestamp` datetime NOT NULL default '0000-00-00 00:00:00',
  `thread` int(10) unsigned NOT NULL default '0',
  `parent` int(10) unsigned NOT NULL default '0',
  `author` char(37) NOT NULL default '',
  `subject` char(255) NOT NULL default '',
  `email` char(200) NOT NULL default '',
  `host` char(50) NOT NULL default '',
  `email_reply` char(1) NOT NULL default 'N',
  `approved` char(1) NOT NULL default 'N',
  `msgid` char(100) NOT NULL default '',
  `modifystamp` int(10) unsigned NOT NULL default '0',
  `userid` int(10) unsigned NOT NULL default '0',
  `uid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `author` (`author`),
  KEY `userid` (`userid`),
  KEY `datestamp` (`datestamp`),
  KEY `subject` (`subject`),
  KEY `thread` (`thread`),
  KEY `parent` (`parent`),
  KEY `approved` (`approved`),
  KEY `msgid` (`msgid`),
  KEY `modifystamp` (`modifystamp`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `forum_support_bodies`
--

DROP TABLE IF EXISTS `forum_support_bodies`;
CREATE TABLE `forum_support_bodies` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `body` text NOT NULL,
  `thread` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `thread` (`thread`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Table structure for table `forums`
--

DROP TABLE IF EXISTS `forums`;
CREATE TABLE `forums` (
  `id` int(11) NOT NULL auto_increment,
  `name` char(50) NOT NULL default '',
  `active` smallint(6) NOT NULL default '0',
  `description` char(255) NOT NULL default '',
  `config_suffix` char(50) NOT NULL default '',
  `folder` char(1) NOT NULL default '0',
  `parent` int(11) NOT NULL default '0',
  `display` int(11) NOT NULL default '0',
  `table_name` char(50) NOT NULL default '',
  `moderation` char(1) NOT NULL default 'n',
  `email_list` char(50) NOT NULL default '',
  `email_return` char(50) NOT NULL default '',
  `email_tag` char(50) NOT NULL default '',
  `check_dup` smallint(6) NOT NULL default '0',
  `multi_level` smallint(6) NOT NULL default '0',
  `collapse` smallint(6) NOT NULL default '0',
  `flat` smallint(6) NOT NULL default '0',
  `lang` char(50) NOT NULL default '',
  `html` char(40) NOT NULL default 'N',
  `table_width` char(4) NOT NULL default '',
  `table_header_color` char(7) NOT NULL default '',
  `table_header_font_color` char(7) NOT NULL default '',
  `table_body_color_1` char(7) NOT NULL default '',
  `table_body_color_2` char(7) NOT NULL default '',
  `table_body_font_color_1` char(7) NOT NULL default '',
  `table_body_font_color_2` char(7) NOT NULL default '',
  `nav_color` char(7) NOT NULL default '',
  `nav_font_color` char(7) NOT NULL default '',
  `allow_uploads` char(1) NOT NULL default 'N',
  `upload_types` char(100) default NULL,
  `upload_size` int(11) default NULL,
  `max_uploads` int(11) default NULL,
  `security` int(11) default NULL,
  `showip` smallint(6) default NULL,
  `emailnotification` smallint(6) default NULL,
  `body_color` char(7) default NULL,
  `body_link_color` char(7) default NULL,
  `body_alink_color` char(7) default NULL,
  `body_vlink_color` char(7) default NULL,
  PRIMARY KEY  (`id`),
  KEY `name` (`name`),
  KEY `active` (`active`),
  KEY `parent` (`parent`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Table structure for table `forums_auth`
--

DROP TABLE IF EXISTS `forums_auth`;
CREATE TABLE `forums_auth` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `sess_id` varchar(32) NOT NULL default '',
  `name` varchar(50) NOT NULL default '',
  `username` varchar(50) NOT NULL default '',
  `password` varchar(50) NOT NULL default '',
  `email` varchar(200) NOT NULL default '',
  `webpage` varchar(200) NOT NULL default '',
  `image` varchar(200) NOT NULL default '',
  `icq` varchar(50) NOT NULL default '',
  `aol` varchar(50) NOT NULL default '',
  `yahoo` varchar(50) NOT NULL default '',
  `msn` varchar(50) NOT NULL default '',
  `jabber` varchar(50) NOT NULL default '',
  `signature` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `name` (`name`),
  KEY `username` (`username`),
  KEY `sess_id` (`sess_id`),
  KEY `password` (`password`)
) ENGINE=MyISAM AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;

--
-- Table structure for table `forums_moderators`
--

DROP TABLE IF EXISTS `forums_moderators`;
CREATE TABLE `forums_moderators` (
  `user_id` int(10) unsigned NOT NULL default '0',
  `forum_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`user_id`,`forum_id`),
  KEY `forum_id` (`forum_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `gallery_name`
--

DROP TABLE IF EXISTS `gallery_name`;
CREATE TABLE `gallery_name` (
  `id` varchar(64) NOT NULL default '',
  `portal_id` int(11) NOT NULL default '0',
  `q_standard` int(11) NOT NULL default '0',
  `thumbnail_quality` int(11) default NULL,
  `thumbnail_width` int(11) default NULL,
  `thumbnail_height` int(11) default NULL,
  `pic_width` int(11) default NULL,
  `pic_height` int(11) default NULL,
  `img_per_row` int(11) default NULL,
  `img_per_col` int(11) default NULL,
  `name` varchar(64) NOT NULL default '',
  `description` text,
  `cuser` int(11) default NULL,
  `euser` int(11) default NULL,
  `cdate` int(11) default NULL,
  `edate` int(11) default NULL,
  `active` int(11) default NULL,
  `date` int(11) default NULL,
  PRIMARY KEY  (`id`,`portal_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `gallery_portal`
--

DROP TABLE IF EXISTS `gallery_portal`;
CREATE TABLE `gallery_portal` (
  `id` int(11) NOT NULL auto_increment,
  `portal_id` int(11) NOT NULL default '0',
  `cookie_path` varchar(128) default NULL,
  `cookie_server` varchar(64) default NULL,
  `gallery_path` varchar(128) default NULL,
  `q_standard` int(11) NOT NULL default '0',
  `thumbnail_quality` int(11) default NULL,
  `thumbnail_width` int(11) default NULL,
  `thumbnail_height` int(11) default NULL,
  `pic_width` int(11) default NULL,
  `pic_height` int(11) default NULL,
  `img_per_row` int(11) default NULL,
  `img_per_col` int(11) default NULL,
  `cuser` int(11) default NULL,
  `euser` int(11) default NULL,
  `cdate` int(11) default NULL,
  `edate` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Table structure for table `greeting_card`
--

DROP TABLE IF EXISTS `greeting_card`;
CREATE TABLE `greeting_card` (
  `id` int(11) NOT NULL auto_increment,
  `thumb` varchar(100) default NULL,
  `image` varchar(100) default NULL,
  `page_id` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

--
-- Table structure for table `greeting_card_category`
--

DROP TABLE IF EXISTS `greeting_card_category`;
CREATE TABLE `greeting_card_category` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) default NULL,
  `description` varchar(200) default NULL,
  `portalid` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Table structure for table `greeting_card_text`
--

DROP TABLE IF EXISTS `greeting_card_text`;
CREATE TABLE `greeting_card_text` (
  `id` int(11) NOT NULL auto_increment,
  `text` varchar(255) default NULL,
  `page_id` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

--
-- Table structure for table `greeting_card_user`
--

DROP TABLE IF EXISTS `greeting_card_user`;
CREATE TABLE `greeting_card_user` (
  `id` int(11) NOT NULL auto_increment,
  `rdint` int(11) default NULL,
  `image` varchar(100) default NULL,
  `text` varchar(255) default NULL,
  `owntext` text,
  `name` varchar(100) default NULL,
  `ownname` varchar(100) default NULL,
  `time` int(11) default NULL,
  `nameemail` varchar(100) default NULL,
  `userid` int(11) default NULL,
  `ownemail` varchar(100) default NULL,
  `portalid` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Table structure for table `guestbook`
--

DROP TABLE IF EXISTS `guestbook`;
CREATE TABLE `guestbook` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(70) NOT NULL default '',
  `email` varchar(240) default NULL,
  `url` varchar(240) default NULL,
  `text` text NOT NULL,
  `datum` int(16) default NULL,
  `userid` int(11) default NULL,
  `portalid` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

--
-- Table structure for table `link_clicks`
--

DROP TABLE IF EXISTS `link_clicks`;
CREATE TABLE `link_clicks` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `UserID` int(10) unsigned NOT NULL default '0',
  `LinkID` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=710 DEFAULT CHARSET=utf8;

--
-- Table structure for table `link_newsletter`
--

DROP TABLE IF EXISTS `link_newsletter`;
CREATE TABLE `link_newsletter` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `NewsletterID` int(10) unsigned NOT NULL default '0',
  `URL` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=599 DEFAULT CHARSET=utf8;

--
-- Table structure for table `linkengine_categories`
--

DROP TABLE IF EXISTS `linkengine_categories`;
CREATE TABLE `linkengine_categories` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(70) NOT NULL default '',
  `description` text,
  `portalid` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

--
-- Table structure for table `linkengine_links`
--

DROP TABLE IF EXISTS `linkengine_links`;
CREATE TABLE `linkengine_links` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(70) NOT NULL default '',
  `description` text,
  `url` varchar(240) NOT NULL default '',
  `category` int(11) NOT NULL default '0',
  `status` int(11) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  `userid` int(11) NOT NULL default '0',
  `points` int(11) default NULL,
  `klicks` int(11) default NULL,
  `senderemail` varchar(100) default NULL,
  `clicks2` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Table structure for table `linksending_log`
--

DROP TABLE IF EXISTS `linksending_log`;
CREATE TABLE `linksending_log` (
  `id` int(11) NOT NULL auto_increment,
  `url` text NOT NULL,
  `user_id` int(11) NOT NULL default '0',
  `portal_id` int(11) NOT NULL default '0',
  `sender_email` text NOT NULL,
  `sender_name` text NOT NULL,
  `friend_name` text NOT NULL,
  `friend_email` text NOT NULL,
  `comment` text NOT NULL,
  `cdate` int(11) NOT NULL default '0',
  `vdate` int(11) NOT NULL default '0',
  `vcount` int(11) NOT NULL default '0',
  `host` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Table structure for table `logerror`
--

DROP TABLE IF EXISTS `logerror`;
CREATE TABLE `logerror` (
  `id` int(11) NOT NULL auto_increment,
  `sid` varchar(15) NOT NULL default '',
  `user_id` int(11) NOT NULL default '0',
  `halt_id` int(11) NOT NULL default '0',
  `request` text NOT NULL,
  `errordo` int(11) NOT NULL default '0',
  `timestamp` int(11) NOT NULL default '0',
  `detail` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `loginfo`
--

DROP TABLE IF EXISTS `loginfo`;
CREATE TABLE `loginfo` (
  `logevent_id` int(11) NOT NULL default '0',
  `name` varchar(32) NOT NULL default '',
  `value_int` int(11) NOT NULL default '0',
  `value_text` varchar(255) NOT NULL default '',
  `obj_type` int(11) NOT NULL default '0',
  `obj_id` int(11) NOT NULL default '0',
  KEY `logevent_id` (`logevent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Table structure for table `newsletter`
--

DROP TABLE IF EXISTS `newsletter`;
CREATE TABLE `newsletter` (
  `id` int(11) NOT NULL auto_increment,
  `frommail` varchar(255) default NULL,
  `subject` varchar(255) default NULL,
  `send_date` int(11) default NULL,
  `create_time` int(11) default NULL,
  `sent` int(11) default NULL,
  `format` varchar(255) default NULL,
  `userid` int(11) default NULL,
  `content_html` text,
  `content_text` text,
  `file_html` varchar(255) default NULL,
  `file_text` varchar(255) default NULL,
  `portalid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;

--
-- Table structure for table `newsletter_group`
--

DROP TABLE IF EXISTS `newsletter_group`;
CREATE TABLE `newsletter_group` (
  `id` int(11) NOT NULL auto_increment,
  `newsletter_id` int(11) default NULL,
  `ngid` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=602 DEFAULT CHARSET=utf8;

--
-- Table structure for table `newsletter_list`
--

DROP TABLE IF EXISTS `newsletter_list`;
CREATE TABLE `newsletter_list` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `description` varchar(255) default NULL,
  `type` int(11) default NULL,
  `portalid` int(11) default NULL,
  `sellanguage` varchar(5) default 'de',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;

--
-- Table structure for table `newsletter_logs`
--

DROP TABLE IF EXISTS `newsletter_logs`;
CREATE TABLE `newsletter_logs` (
  `id` int(11) NOT NULL auto_increment,
  `nid` int(11) default NULL,
  `date` int(11) default NULL,
  `logs` text,
  `receivers` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=76 DEFAULT CHARSET=utf8;

--
-- Table structure for table `newsletter_subscribe`
--

DROP TABLE IF EXISTS `newsletter_subscribe`;
CREATE TABLE `newsletter_subscribe` (
  `id` int(11) NOT NULL auto_increment,
  `ngid` int(11) NOT NULL default '0',
  `userid` int(11) NOT NULL default '0',
  `format` int(11) default NULL,
  `subdate` int(11) default NULL,
  `type` int(11) default NULL,
  `active` int(11) default '1',
  PRIMARY KEY  (`id`),
  KEY `idx_user_id` (`userid`),
  KEY `idx_ngid` (`ngid`)
) ENGINE=MyISAM AUTO_INCREMENT=280 DEFAULT CHARSET=utf8;

--
-- Table structure for table `newsletter_subscribe_stats`
--

DROP TABLE IF EXISTS `newsletter_subscribe_stats`;
CREATE TABLE `newsletter_subscribe_stats` (
  `id` int(11) NOT NULL auto_increment,
  `ngid` int(11) default NULL,
  `userid` int(11) default NULL,
  `format` int(11) default NULL,
  `subdate` int(11) default NULL,
  `type` int(11) default NULL,
  `active` int(11) default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

--
-- Table structure for table `newsletter_unsubscribe`
--

DROP TABLE IF EXISTS `newsletter_unsubscribe`;
CREATE TABLE `newsletter_unsubscribe` (
  `id` int(11) NOT NULL auto_increment,
  `ngid` int(11) default NULL,
  `userid` int(11) default NULL,
  `subdate` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Table structure for table `param`
--

DROP TABLE IF EXISTS `param`;
CREATE TABLE `param` (
  `paramid` int(11) default NULL,
  `name` varchar(30) default NULL,
  `value` text,
  KEY `paramid` (`paramid`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Table structure for table `pdf`
--

DROP TABLE IF EXISTS `pdf`;
CREATE TABLE `pdf` (
  `id` int(11) NOT NULL auto_increment,
  `portalid` int(11) default NULL,
  `input_filename` varchar(255) default NULL,
  `page_id` int(11) default NULL,
  `last_created` int(11) default NULL,
  `creator` int(11) default NULL,
  `status` text,
  `tobe_created` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;

--
-- Table structure for table `phpads_acls`
--

DROP TABLE IF EXISTS `phpads_acls`;
CREATE TABLE `phpads_acls` (
  `bannerID` mediumint(9) NOT NULL default '0',
  `acl_con` set('and','or') NOT NULL default '',
  `acl_type` enum('clientip','useragent','weekday','domain','source','time','language') NOT NULL default 'clientip',
  `acl_data` varchar(255) NOT NULL default '',
  `acl_ad` set('allow','deny') NOT NULL default '',
  `acl_order` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`bannerID`,`acl_order`),
  KEY `bannerID` (`bannerID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `phpads_adclicks`
--

DROP TABLE IF EXISTS `phpads_adclicks`;
CREATE TABLE `phpads_adclicks` (
  `bannerID` mediumint(9) NOT NULL default '0',
  `t_stamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `host` varchar(255) NOT NULL default '',
  KEY `clientID` (`bannerID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `phpads_adstats`
--

DROP TABLE IF EXISTS `phpads_adstats`;
CREATE TABLE `phpads_adstats` (
  `views` int(11) NOT NULL default '0',
  `clicks` int(11) NOT NULL default '0',
  `day` date NOT NULL default '0000-00-00',
  `BannerID` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`day`,`BannerID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `phpads_adviews`
--

DROP TABLE IF EXISTS `phpads_adviews`;
CREATE TABLE `phpads_adviews` (
  `bannerID` mediumint(9) NOT NULL default '0',
  `t_stamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `host` varchar(255) NOT NULL default '',
  KEY `clientID` (`bannerID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `phpads_banners`
--

DROP TABLE IF EXISTS `phpads_banners`;
CREATE TABLE `phpads_banners` (
  `bannerID` mediumint(9) NOT NULL auto_increment,
  `clientID` mediumint(9) NOT NULL default '0',
  `active` enum('true','false') NOT NULL default 'true',
  `weight` tinyint(4) NOT NULL default '1',
  `seq` tinyint(4) NOT NULL default '0',
  `banner` blob NOT NULL,
  `width` smallint(6) NOT NULL default '0',
  `height` smallint(6) NOT NULL default '0',
  `format` enum('gif','jpeg','png','html','url','web','swf') NOT NULL default 'gif',
  `url` varchar(255) NOT NULL default '',
  `alt` varchar(255) NOT NULL default '',
  `status` varchar(255) NOT NULL default '',
  `keyword` varchar(255) NOT NULL default '',
  `bannertext` varchar(255) NOT NULL default '',
  `target` varchar(8) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `autohtml` enum('true','false') NOT NULL default 'true',
  PRIMARY KEY  (`bannerID`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

--
-- Table structure for table `phpads_clients`
--

DROP TABLE IF EXISTS `phpads_clients`;
CREATE TABLE `phpads_clients` (
  `clientID` mediumint(9) NOT NULL auto_increment,
  `clientname` varchar(255) NOT NULL default '',
  `contact` varchar(255) default NULL,
  `email` varchar(64) NOT NULL default '',
  `views` mediumint(9) default NULL,
  `clicks` mediumint(9) default NULL,
  `clientusername` varchar(64) NOT NULL default '',
  `clientpassword` varchar(64) NOT NULL default '',
  `expire` date default '0000-00-00',
  `activate` date default '0000-00-00',
  `permissions` mediumint(9) default NULL,
  `language` varchar(64) default NULL,
  `active` enum('true','false') NOT NULL default 'true',
  `weight` tinyint(4) NOT NULL default '1',
  `parent` mediumint(9) NOT NULL default '0',
  `report` enum('true','false') NOT NULL default 'true',
  `reportinterval` mediumint(9) NOT NULL default '7',
  `reportlastdate` date NOT NULL default '0000-00-00',
  `reportdeactivate` enum('true','false') NOT NULL default 'true',
  PRIMARY KEY  (`clientID`)
) ENGINE=MyISAM AUTO_INCREMENT=17 DEFAULT CHARSET=utf8;

--
-- Table structure for table `phpads_session`
--

DROP TABLE IF EXISTS `phpads_session`;
CREATE TABLE `phpads_session` (
  `SessionID` varchar(32) NOT NULL default '',
  `SessionData` blob NOT NULL,
  `LastUsed` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`SessionID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `phpads_zones`
--

DROP TABLE IF EXISTS `phpads_zones`;
CREATE TABLE `phpads_zones` (
  `zoneid` mediumint(9) NOT NULL auto_increment,
  `zonename` varchar(255) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `zonetype` smallint(6) NOT NULL default '0',
  `what` blob NOT NULL,
  `width` smallint(6) NOT NULL default '0',
  `height` smallint(6) NOT NULL default '0',
  `retrieval` enum('random','cookie') NOT NULL default 'random',
  `cachecontents` blob,
  `cachetimestamp` int(11) NOT NULL default '0',
  PRIMARY KEY  (`zoneid`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Table structure for table `rating`
--

DROP TABLE IF EXISTS `rating`;
CREATE TABLE `rating` (
  `id` int(11) NOT NULL auto_increment,
  `userid` int(11) default NULL,
  `sid` varchar(15) default NULL,
  `portalid` int(11) default NULL,
  `vote` int(11) default NULL,
  `pageid` varchar(255) default NULL,
  `rdate` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `session`
--

DROP TABLE IF EXISTS `session`;
CREATE TABLE `session` (
  `id` int(11) NOT NULL auto_increment,
  `sid` varchar(15) NOT NULL default '',
  `userid` int(11) NOT NULL default '0',
  `ip` varchar(15) NOT NULL default '',
  `agent` text,
  `referer` text,
  `since` int(11) NOT NULL default '0',
  `logintime` int(11) default NULL,
  `request` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `userid` (`userid`,`since`),
  KEY `since` (`since`)
) ENGINE=MyISAM AUTO_INCREMENT=1358 DEFAULT CHARSET=utf8;

--
-- Table structure for table `sessionval`
--

DROP TABLE IF EXISTS `sessionval`;
CREATE TABLE `sessionval` (
  `varid` int(11) NOT NULL default '0',
  `skey` varchar(255) default NULL,
  `sval` varchar(255) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `sessionvar`
--

DROP TABLE IF EXISTS `sessionvar`;
CREATE TABLE `sessionvar` (
  `id` int(11) NOT NULL auto_increment,
  `sessionid` int(11) NOT NULL default '0',
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=442 DEFAULT CHARSET=utf8;

--
-- Table structure for table `system_group`
--

DROP TABLE IF EXISTS `system_group`;
CREATE TABLE `system_group` (
  `groupid` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `description` text,
  `permissions` int(11) default NULL,
  `link` varchar(255) default NULL,
  `portalid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`groupid`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

--
-- Table structure for table `system_user`
--

DROP TABLE IF EXISTS `system_user`;
CREATE TABLE `system_user` (
  `userid` int(11) NOT NULL auto_increment,
  `login` varchar(20) NOT NULL default '',
  `password` varchar(20) NOT NULL default '',
  `company` varchar(255) default NULL,
  `department` varchar(255) default NULL,
  `firstname` varchar(50) default NULL,
  `lastname` varchar(50) default NULL,
  `title` varchar(50) default NULL,
  `street` varchar(50) default NULL,
  `city` varchar(50) default NULL,
  `zip` varchar(10) default NULL,
  `country` varchar(50) default NULL,
  `phone` varchar(50) default NULL,
  `mobile` varchar(50) default NULL,
  `email` varchar(50) default NULL,
  `email_first` varchar(50) default NULL,
  `last_login` int(11) default NULL,
  `permissions` int(11) default NULL,
  `create_time` int(11) default NULL,
  `question` varchar(255) default NULL,
  `answer` varchar(50) default NULL,
  `level` int(11) default NULL,
  `newsletter` int(11) default NULL,
  `gender` int(11) default NULL,
  `birthday` int(11) default NULL,
  `fax` varchar(50) default NULL,
  `url` varchar(255) default NULL,
  `public` int(11) default NULL,
  `portalid` int(11) NOT NULL default '0',
  `description` text,
  `var_field1` varchar(255) default NULL,
  `var_field2` varchar(255) default NULL,
  `var_field3` varchar(255) default NULL,
  `var_field4` varchar(255) default NULL,
  `var_field5` varchar(255) default NULL,
  `var_field6` varchar(255) default NULL,
  `var_field7` varchar(255) default NULL,
  `var_field8` varchar(255) default NULL,
  `var_field9` varchar(255) default NULL,
  `var_field10` varchar(255) default NULL,
  `state` varchar(255) default NULL,
  PRIMARY KEY  (`userid`),
  KEY `idx_user_id` (`userid`)
) ENGINE=MyISAM AUTO_INCREMENT=58 DEFAULT CHARSET=utf8;

--
-- Table structure for table `system_user_group`
--

DROP TABLE IF EXISTS `system_user_group`;
CREATE TABLE `system_user_group` (
  `id` int(11) NOT NULL auto_increment,
  `userid` int(11) default NULL,
  `groupid` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;

--
-- Table structure for table `talk_`
--

DROP TABLE IF EXISTS `talk_`;
CREATE TABLE `talk_` (
  `id` int(10) unsigned NOT NULL default '0',
  `datestamp` datetime NOT NULL default '0000-00-00 00:00:00',
  `thread` int(10) unsigned NOT NULL default '0',
  `parent` int(10) unsigned NOT NULL default '0',
  `author` char(37) NOT NULL default '',
  `subject` char(255) NOT NULL default '',
  `email` char(200) NOT NULL default '',
  `host` char(50) NOT NULL default '',
  `email_reply` char(1) NOT NULL default 'N',
  `approved` char(1) NOT NULL default 'N',
  `msgid` char(100) NOT NULL default '',
  `modifystamp` int(10) unsigned NOT NULL default '0',
  `userid` int(10) unsigned NOT NULL default '0',
  `uid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `author` (`author`),
  KEY `userid` (`userid`),
  KEY `datestamp` (`datestamp`),
  KEY `subject` (`subject`),
  KEY `thread` (`thread`),
  KEY `parent` (`parent`),
  KEY `approved` (`approved`),
  KEY `msgid` (`msgid`),
  KEY `modifystamp` (`modifystamp`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `talk__bodies`
--

DROP TABLE IF EXISTS `talk__bodies`;
CREATE TABLE `talk__bodies` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `body` text NOT NULL,
  `thread` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `thread` (`thread`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `termin`
--

DROP TABLE IF EXISTS `termin`;
CREATE TABLE `termin` (
  `id` int(11) NOT NULL auto_increment,
  `ueberschrift` varchar(255) default NULL,
  `link` varchar(255) default NULL,
  `text` text,
  `vortragende` varchar(255) default NULL,
  `veranstalter` varchar(255) default NULL,
  `beginn` int(11) default NULL,
  `ende` int(11) default NULL,
  `loeschenam` int(11) default NULL,
  `adresse` varchar(255) default NULL,
  `ort` varchar(127) default NULL,
  `prioritaet` int(11) default NULL,
  `typ` varchar(127) default NULL,
  `portalid` int(11) default NULL,
  `active` int(11) default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

--
-- Table structure for table `usercenter_bookmarks`
--

DROP TABLE IF EXISTS `usercenter_bookmarks`;
CREATE TABLE `usercenter_bookmarks` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `link` varchar(255) default NULL,
  `userid` int(11) NOT NULL default '0',
  `public` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

--
-- Table structure for table `usercenter_calendar`
--

DROP TABLE IF EXISTS `usercenter_calendar`;
CREATE TABLE `usercenter_calendar` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `start` int(11) NOT NULL default '0',
  `ende` int(11) NOT NULL default '0',
  `userid` int(11) NOT NULL default '0',
  `description` text,
  `remember` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;

--
-- Table structure for table `usercenter_friends`
--

DROP TABLE IF EXISTS `usercenter_friends`;
CREATE TABLE `usercenter_friends` (
  `id` int(11) NOT NULL auto_increment,
  `userid` int(11) NOT NULL default '0',
  `fuserid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Table structure for table `usercenter_messages`
--

DROP TABLE IF EXISTS `usercenter_messages`;
CREATE TABLE `usercenter_messages` (
  `id` int(11) NOT NULL auto_increment,
  `u_from` int(11) NOT NULL default '0',
  `u_to` int(11) NOT NULL default '0',
  `message` text,
  `flag` char(1) default NULL,
  `time` int(11) default NULL,
  `subject` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `usercontrib`
--

DROP TABLE IF EXISTS `usercontrib`;
CREATE TABLE `usercontrib` (
  `id` int(11) NOT NULL auto_increment,
  `cat1` varchar(100) default NULL,
  `cat2` varchar(100) default NULL,
  `cat3` varchar(100) default NULL,
  `cdate` int(11) default NULL,
  `userid` int(11) default NULL,
  `headline` varchar(100) default NULL,
  `contribtext` text,
  `reference` varchar(255) default NULL,
  `rating` int(11) default NULL,
  `type` varchar(100) default NULL,
  `portalid` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Table structure for table `usercontrib_files`
--

DROP TABLE IF EXISTS `usercontrib_files`;
CREATE TABLE `usercontrib_files` (
  `id` int(11) NOT NULL auto_increment,
  `filename` varchar(100) default NULL,
  `ucon_id` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Table structure for table `vanswers`
--

DROP TABLE IF EXISTS `vanswers`;
CREATE TABLE `vanswers` (
  `id` int(11) NOT NULL auto_increment,
  `text` text NOT NULL,
  `question` int(11) NOT NULL default '0',
  `value` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;

--
-- Table structure for table `veranstaltung`
--

DROP TABLE IF EXISTS `veranstaltung`;
CREATE TABLE `veranstaltung` (
  `id` int(11) NOT NULL auto_increment,
  `thema` varchar(255) default NULL,
  `agenda` text,
  `referent` varchar(255) default NULL,
  `kontakt` text,
  `ort` varchar(255) default NULL,
  `adresse` varchar(255) default NULL,
  `event_language` varchar(255) default NULL,
  `entry_language` varchar(255) default NULL,
  `land` varchar(255) default NULL,
  `kosten` int(11) default NULL,
  `kleidung` text,
  `anmeldeschluss` int(11) default NULL,
  `plaetze` int(11) default NULL,
  `domain` varchar(255) default NULL,
  `portalid` int(11) default NULL,
  `creator_id` int(11) default NULL,
  `last_modifier_id` int(11) default NULL,
  `email` varchar(100) default NULL,
  `begin` int(11) default NULL,
  `veranstalter` varchar(255) default NULL,
  `beraterid` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `vorganisation`
--

DROP TABLE IF EXISTS `vorganisation`;
CREATE TABLE `vorganisation` (
  `id` int(11) NOT NULL auto_increment,
  `suborganisation` int(11) NOT NULL default '0',
  `login` varchar(255) NOT NULL default '',
  `pw` varchar(255) NOT NULL default '',
  `friendlyname` varchar(255) NOT NULL default '',
  `admin` int(11) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '1',
  `vtemplate` int(11) NOT NULL default '0',
  `vtemplheader` varchar(255) NOT NULL default '',
  `vtempltext` text NOT NULL,
  `vtempllink` varchar(255) NOT NULL default '',
  `vtempllinktext` varchar(255) NOT NULL default '',
  `stemplate` int(11) NOT NULL default '0',
  `stemplheader` varchar(255) NOT NULL default '',
  `stempltext` text NOT NULL,
  `stempllink` varchar(255) NOT NULL default '',
  `stempllinktext` varchar(255) NOT NULL default '',
  `atemplate` int(11) NOT NULL default '0',
  `atemplheader` varchar(255) NOT NULL default '',
  `atempltext` text NOT NULL,
  `atempllink` varchar(255) NOT NULL default '',
  `atempllinktext` varchar(255) NOT NULL default '',
  `portalid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Table structure for table `vquestions`
--

DROP TABLE IF EXISTS `vquestions`;
CREATE TABLE `vquestions` (
  `id` int(11) NOT NULL auto_increment,
  `createdate` int(11) NOT NULL default '0',
  `organisation` int(11) NOT NULL default '0',
  `header` varchar(255) NOT NULL default '',
  `vtext` text NOT NULL,
  `stext` text NOT NULL,
  `vactive` tinyint(1) NOT NULL default '1',
  `vstart` int(11) NOT NULL default '0',
  `vend` int(11) NOT NULL default '0',
  `sactive` tinyint(1) NOT NULL default '1',
  `sstart` int(11) NOT NULL default '0',
  `send` int(11) NOT NULL default '0',
  `vtempl` int(11) NOT NULL default '0',
  `stempl` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

--
-- Table structure for table `vtemplates`
--

DROP TABLE IF EXISTS `vtemplates`;
CREATE TABLE `vtemplates` (
  `id` int(11) NOT NULL auto_increment,
  `organisation` int(11) NOT NULL default '0',
  `filename` varchar(50) NOT NULL default '',
  `friendlyname` varchar(255) NOT NULL default '',
  `type` tinyint(4) NOT NULL default '0',
  `function` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

--
-- Table structure for table `vvotes`
--

DROP TABLE IF EXISTS `vvotes`;
CREATE TABLE `vvotes` (
  `id` int(11) NOT NULL auto_increment,
  `question` int(11) NOT NULL default '0',
  `answer` int(11) NOT NULL default '0',
  `value` int(11) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  `userid` int(11) NOT NULL default '0',
  `portalid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=46 DEFAULT CHARSET=utf8;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2007-06-13 11:27:05
