<?php 

node_class("resultsetformatter");







class AutoUpdate {

 var $tmpdir = "/Node/tmp/selfupdate";
 var $unzip = "/Node/java/bin/jar -xf";
 var $untargz = "tar -xzf";
 var $newVersions = false;
 var $latestVersion = false;
 var $runupdateFlag = false;
 var $selectedUpdateFilename = NULL;
 
 




 var $updateStatusLogFile = NULL;
 
 function __construct() {
 global $UPDATE_FROM_LOCAL;
 
 if ($UPDATE_FROM_LOCAL) {
 $this->latestVersion = parse_version($this->getLatestLocalUpdateFilename());
 } else {
 $this->newVersions = $this->getVersionsFromUpdatesite();
 $this->latestVersion = $this->getLatestUpdateVersion($this->newVersions);
 $this->updateNodeSetupLatestGCNVersionEntry($this->getUpdatefileNameForVersion($this->latestVersion));
 }

 
 
 
 $this->selectedUpdateFilename = $this->getUpdatefileNameForVersion($this->latestVersion);

 
 
 global $updatefile;
 if (isset($updatefile)) {
 $this->selectedUpdateFilename = $updatefile;
 }
 }

 




 public function setRunUpdateFlag($value) {
 $this->runupdateFlag = $value;
 }

 




 public function isRunUpdateFlagSet() {
 return $this->runupdateFlag;
 }
 
 






 private function getDebugLogFile() {
 global $FILEPATH;
 $filePath = $FILEPATH . "/log/autoupdate/selfupdate.debug.log";
 
 if (!file_exists($filePath)) {
 $fh = fopen($filePath,'a');
 fclose($fh);
 }
 return $filePath;
 }

 




 public function debug($text) {
 $logFile = $this->getDebugLogFile();
 $timestamp = date('c');
 $text = $timestamp . "  " . $text . "\n";
 file_put_contents($logFile, $text, FILE_APPEND | LOCK_EX);
 }
 
 




 function getVersionsFromUpdatesite() {
 global $SELFUPDATE_START_VERSION, $SELFUPDATE_SHOW_ONLY_LATEST_HOTFIX_RELEASES;
 $currentVersion = get_current_gcnversion();
 $versions = array();
 $url = $this->getAutoupdateUpdateBaseUrl() . "maven-metadata.xml";
 $contents = @file_get_contents($url);

 
 if ($contents == FALSE) {
 $this->debug("maven-metadata.xml failed to download.");
 return false;
 }
 
 $elements = simplexml_load_string($contents);
 
 foreach ($elements->versioning[0]->versions[0] as $value) {
 $version = parse_version($value);
 
 $isNewerThanInstalled = compare_gcnversion($version, $currentVersion)>=1;
 $isNewerThanUpdateStartVersion = compare_gcnversion($version, $SELFUPDATE_START_VERSION)>=1;
 
 if ($isNewerThanInstalled && $isNewerThanUpdateStartVersion) {
 $versions[] = $version;
 }
 }
 $this->debug("Found " . count($versions) . " new versions.");
 
 
 if ($SELFUPDATE_SHOW_ONLY_LATEST_HOTFIX_RELEASES) {
 $versions = $this->filterHotfixVersions($versions);
 }
 
 return $versions;
 }
 
 




 private function filterHotfixVersions($versions) {
 $majorVersionsTree = array();
 foreach ($versions as $version) {
 $majorVersionsTree[$version['major']][$version['minor']][$version['patch']] = $version;
 }
 
 $filteredVersion = array();
 
 foreach ($majorVersionsTree as $majorVersionKey => $majorVersion) {
 foreach ($majorVersion as $minorVersionKey => $minorVersion) {
 $latestPatchLevelVersionKey = -1;
 foreach ($minorVersion as $patchLevelVersionKey => $patchLevelVersion) {
 if ($patchLevelVersionKey > $latestPatchLevelVersionKey) {
 $latestPatchLevelVersionKey = $patchLevelVersionKey;
 }
 }
 
 $filteredVersion[] = $majorVersionsTree[$majorVersionKey][$minorVersionKey][$latestPatchLevelVersionKey];
 }
 }
 return $filteredVersion;
 }
 
 




 function getAutoupdateUpdateBaseUrl() {
 global $SELFUPDATE_BASEURL;
 if (!$SELFUPDATE_BASEURL['user']) {
 return $SELFUPDATE_BASEURL['prefix'] . $SELFUPDATE_BASEURL['baseurl'];
 } else {
 return $SELFUPDATE_BASEURL['prefix'] . $SELFUPDATE_BASEURL['user'] . ":" . get_license_key() . "@" . $SELFUPDATE_BASEURL['baseurl'];
 }
 }

 





 function getUpdatefileNameForVersion($version) {
 
 return "contentnode-autoupdate-" . $version['name'] .".zip";
 }

 




 public function getAllAvailableVersionsFromUpdatesite() {
 return $this->newVersions;
 }

 


 public function getLatestVersion() {
 return $this->latestVersion;
 }
 
 function getLastestVersionLabelHTML() {
 global $UPDATE_FROM_LOCAL, $ICO_ALERT_ANI;

 
 if ($UPDATE_FROM_LOCAL) {
 
 $latestLocalUpdateFilename = $this->getLatestLocalUpdateFilename();
 $latestVersion = parse_version($latestLocalUpdateFilename);
 if (!$latestLocalUpdateFilename) {
 return '<img style="margin-bottom: -5px;" src="' . $ICO_ALERT_ANI . '"> <span style="color: red">' . i18n('update_no_local_updates_error') . '</span>';
 } else {
 return '<span title="' . $latestLocalUpdateFilename . '">' . $latestLocalUpdateFilename . '</span>';
 }
 } else {
 
 
 $allNewVersions = $this->getAllAvailableVersionsFromUpdatesite();
 if (count($allNewVersions)==0) {
 return '<span>' . i18n('update_no_new_updates') . '</span>';
 }

 $latestVersion = $this->getLatestVersion();
 $latestUpdateInformation = prettyprint_gcnversion($latestVersion);

 
 if (!$latestVersion) {
 return '<img style="margin-bottom: -5px;" src="' . $ICO_ALERT_ANI . '"> <span style="color: red">' . i18n('update_check_error') . '</span>';
 }

 return '<span title="' . $this->getUpdatefileNameForVersion($latestVersion) . '">' . $latestUpdateInformation . '</span>';

 }
 
 return '<img style="margin-bottom: -5px;" src="' . $ICO_ALERT_ANI . '"> <span style="color: red">' . i18n('update_check_error') . '</span>';
 }

 





 private function getLatestUpdateVersion($versions) {
 $latestVersion = false;
 foreach ($versions as $version) {
 if (compare_gcnversion($version, $latestVersion) >= 1) {
 $latestVersion = $version;
 }
 }
 return $latestVersion;
 }

 




 function getSuggestedUpdateVersionForCurrentVersion() {

 $currentVersion = get_current_gcnversion();

 
 $majorVersionsTree = array();
 foreach ($this->newVersions as $version) {
 $majorVersionsTree[$version['major']][$version['minor']][$version['patch']] = $version;
 }
 
 
 $nearestMajorVersionKey = $this->latestVersion['major'];
 foreach ($majorVersionsTree as $majorVersionKey => $majorVersion) {
 
 if ($majorVersionKey <= $nearestMajorVersionKey) {
 $nearestMajorVersionKey = $majorVersionKey;
 }
 }

 $nearestMinorVersionKey = -1;
 foreach ($majorVersionsTree[$nearestMajorVersionKey] as $minorVersionKey => $minorVersion) {
 
 if ($nearestMinorVersionKey == -1 || $minorVersionKey <= $nearestMinorVersionKey) {
 $nearestMinorVersionKey = $minorVersionKey;
 }
 }

 $latestPatchLevelVersionKey = -1;
 foreach ($majorVersionsTree[$nearestMajorVersionKey][$nearestMinorVersionKey] as $patchLevelVersionKey => $patchLevelVersion) {
 if ($patchLevelVersionKey > $latestPatchLevelVersionKey) {
 $latestPatchLevelVersionKey = $patchLevelVersionKey;
 }
 }

 
 if ($latestPatchLevelVersionKey == -1) {
 return NULL;
 }

 $foundVersion = $majorVersionsTree[$nearestMajorVersionKey][$nearestMinorVersionKey][$latestPatchLevelVersionKey];
 return $foundVersion;
 }

 






 private function updateexec($cmd, $logfile) {
 $out = array();
 return $this->updateexecout($cmd, $out, $logfile);
 }

 






 private function updateexecout($cmd, &$output, $logfile) {
 $fh = fopen($logfile, 'a');
 $cmd = "exec 3<&2 ; exec 2<&1 ; " . $cmd . " ; x=$? ; exec 2<&3 ; exit \$x";

 fwrite($fh, date('c') . "  executing command $cmd\n");

 if ($output === NULL) {
 $output = array();
 }

 exec($cmd, $output, $return_var);

 if ($output) {
 fwrite($fh, date('c') . "  Output: \n" . join("\n",$output) . "\n\n==========\n\n\n");
 }
 
 fclose($fh);
 return $return_var;
 }

 





 function getChangelogHTMLOutput($updateFile) {
 global $clDisplayError;
 
 $clFilename = $this->extractChangelog($updateFile);
 if($clFilename && !file_exists($clFilename)) {
 return "<strong>" . i18n("udpate_broken_nocl") ."</strong>";
 }
 $manualChanges = false;
 if ($clFilename) {
 $cl = file($clFilename);
 if (!is_array($cl) || count($cl) == 0) {
 $clDisplayError = true;
 return "<strong>" . i18n("udpate_broken_noclaccess") ."</strong>";
 }
 } else {
 $clDisplayError = true;
 return "<strong>" . i18n("udpate_broken_nocl") ."</strong>";
 }

 
 $add = false;
 $out = "<div class=\"changelog\">\n";
 while (list($k,$line) = each($cl)) {
 $out .= $line;
 }
 $out .= "</div>";

 if ($manualChanges) {
 $out .= "
	<script type=\"text/javascript\">
	jQuery('#manualChanges').fadeIn('normal');
	</script>";
 }
 return $out;
 }

 






 public function getLogfileHTMLOutput($logfileTimeStamp) {
 $logfileContent = file_get_contents(AutoUpdateStatus::getLogfile($logfileTimeStamp));
 $replacements = array(
 
 chr(0x001B) => '', 
 '[80C' => '',
 '[9D' => '',
 '[1m' => '',
 '[31m' => '<span class="log_warn">', 
 '[32m' => '<span class="log_done">', 
 '[33m' => '<span class="log_attn">', 
 '[m' . chr(0x000F) => '</span>', 
 
 'SUCCESS:' => '<span class="log_success">SUCCESS:</span>',
 'ERROR:' => '<span class="log_error">ERROR:</span>',
 'FAILED:' => '<span class="log_error">FAILED:</span>',
 'INFO:' => '<span class="log_info">INFO:</span>',
 
 "\n" => "<br/>\n"
 );
 $logfileContent = str_replace(array_keys($replacements), array_values($replacements), $logfileContent);
 return $logfileContent;
 }

 






 function getAutomaticUpdateJob() {
 $sql = "SELECT j.id jobid, j.status jobstatus, tp.id taskparamid, tp.value taskparamvalue
				FROM tasktemplate tt 
				INNER JOIN tasktemplateparam ttp ON tt.id = ttp.tasktemplate_id AND ttp.name = 'doupdate'
				INNER JOIN task t ON tt.command LIKE '%do=1040%' AND tt.id = t.tasktemplate_id 
				INNER JOIN taskparam tp ON ttp.id = tp.templateparam_id 
				INNER JOIN job j ON t.id = j.task_id;";
 $res = query($sql);
 if ($res["num"] == 0 || $res["num"] > 1) {
 
 return false;
 }
 return $res["arr"][0];
 }

 







 function unlink_old_files($fnames, $keep) {
 $fnames_stat = array_column(array_map('stat', $fnames), 'ctime');

 
 $fnames_order = array_zip($fnames_stat, $fnames);
 usort($fnames_order, 'schwarzian_cmp');
 $fnames = array_column($fnames_order, 1);

 
 
 foreach (array_slice($fnames, 0, -$keep) as $fname) {
 unlink($fname);
 }
 }

 






 function executeUpdate($updatefile, $dryrun) {

 
 $autoUpdateStatus = new AutoUpdateStatus($updatefile);
 $logFile = $autoUpdateStatus->getLogfile();
 
 
 $this->updateStatusLogFile = $logFile;
 $haserror = false;
 
 $workdir = $this->tmpdir . '/work';
 $extract = $workdir . '/extract';
 $php = $workdir . '/php';
 $java = $workdir . '/java';
 $nodedir = "/Node";

 if ($this->updateexec("rm -rf $workdir", $logFile)) {
 $autoUpdateStatus->setError("error_rm_workdir");
 return false;
 }

 
 @mkdir($workdir, 0777, true);
 @mkdir($extract);
 @mkdir($php);
 @mkdir($java);

 $autoUpdateStatus->setStatus("extracting");

 
 if ($this->updateexec( "cd $extract && $this->unzip $this->tmpdir/$updatefile ", $logFile)) {
 $autoUpdateStatus->setError("error_extracting");
 return false;
 }

 
 if ($this->updateexec( "test -d $extract/V*", $logFile)) {
 $autoUpdateStatus->setError("error_extracting_dircheck");
 return false;
 }

 
 if ($this->updateexec( "test -e $extract/V*/CNPortletapp*/CNPortletapp.war", $logFile)) {
 $autoUpdateStatus->setError("error_extracting_warfiles");
 return false;
 }

 
 if ($this->updateexec( "cd $php && $this->untargz `find $extract -name 'Node_*.tar.gz'` ", $logFile )) {
 $autoUpdateStatus->setError("error_php_missing");
 return false;
 }

 $rel = array();
 exec( "ls $php", $rel);
 $rel = $rel[0];

 
 $mods = "find $php -name *.CHANGELOG -exec basename {} \; | sed \"s/.CHANGELOG//\" | xargs | sed \"s/ /\\;/g\"";
 $cmd = "/Node/bin/php -q $php/$rel/changelog.php \"`$mods`\" /Node/etc/node.conf $nodedir/.node $php/$rel exec globals 3";

 $autoUpdateStatus->setStatus("changelog");
 if ($this->updateexec($cmd, $logFile)) {
 $autoUpdateStatus->setError("error_changelog");
 return false;
 }

 if (!$dryrun) {
 $autoUpdateStatus->setStatus("update_nodecore");
 
 if ($this->updateexec("cd $php/$rel && ./update.sh ", $logFile)) {
 $autoUpdateStatus->setError("error_update_nodecore");
 $haserror = true;
 }
 }
 
 
 $autoUpdateStatus->setStatus("update_java");
 
 
 $cmd = "cp -r $nodedir/.nodejava $java ";
 
 $cmd .= "&& rm -rf $java/.nodejava/webapps/* $java/.nodejava/shared/lib/* ";
 
 $cmd .= "&& cd $extract && cd V* && cd CNPo* ";
 
 $cmd .= "&& cp -f *.war $java/.nodejava/webapps ";
 $cmd .= "&& cp -f gentics-por*.zip lib/* $java/.nodejava/shared/lib/ ";
 $cmd .= "&& cd $java/.nodejava/shared/lib && $this->unzip gentics-por*.zip && rm *.zip ";
 if ($this->updateexec($cmd, $logFile)) {
 $autoUpdateStatus->setError("error_update_java");
 
 $haserror = true;
 }
 
 
 $cmd = "";
 $cmd .= "rm -rf $nodedir/.nodejava_old ";
 $cmd .= "&& mv $nodedir/.nodejava $nodedir/.nodejava_old";
 $cmd .= "&& mv $java/.nodejava $nodedir/.nodejava";
 if (!$dryrun) {
 if ($this->updateexec($cmd, $logFile)) {
 $autoUpdateStatus->setError("error_update_java_switchdir");
 
 $haserror = true;
 }
 }
 
 
 $autoUpdateStatus->setStatus("restart_tomcat");
 
 
 $cmd = "bash -c \"if which setsid > /dev/null ; then setsid /Node/bin/nodectl restart tomcat ; else echo 'WARNING - NO setsid found' >&2 ; /Node/bin/nodectl restart tomcat ; fi\"";
 if (!$dryrun) {
 $stopped = time();
 if ($this->updateexec($cmd, $logFile)) {
 $autoUpdateStatus->setError("error_tomcat_restart");
 $haserror = true;
 }
 $duration = time() - $stopped;
 $fh = fopen($logFile, 'a');
 fwrite($fh, "Tomcat was down for $duration seconds.\n");
 fclose($fh);
 }

 
 query("DELETE FROM nodesetup WHERE name = 'version'");
 query("INSERT INTO nodesetup (name, textvalue) VALUES ('version', " . sql_str($updatefile) . ")");
 
 $autoUpdateStatus->finish($haserror);
 return !$haserror;
 }

 




 function getDownloadSize($handle) {
 $meta = stream_get_meta_data($handle);
 
 $headers = $meta['wrapper_data'];
 $size = -1;
 foreach ($headers as $header) {
 $h = split('\\s*:\\s*', $header);
 if( $h[0] == 'Content-Length' ) {
 $size = $h[1];
 }
 }
 return $size;
 }

 




 function getDownloadedUpdateFiles() {
 $files = scandir($this->tmpdir);
 $updatefiles = array();
 foreach ($files as $file) {
 if (preg_match( "/contentnode-autoupdate.*\.zip$/", $file )) {
 $updatefiles[] = $file;
 }
 }
 return $updatefiles;
 }

 





 function extractChangelog($updatefile) {
 
 $logFile = $this->getDebugLogFile();
 
 
 $this->updateexec("rm $this->tmpdir/changelog.html", $logFile);

 
 $cmd = "cd $this->tmpdir && $this->unzip $this->tmpdir/$updatefile changelog.html";
 if ($this->updateexec($cmd, $logFile)) {
 return false;
 }

 
 $cmd = "test -e $this->tmpdir/changelog.html";
 if ($this->updateexec($cmd, $logFile)) {
 return false;
 }

 
 return "$this->tmpdir/changelog.html";
 }

 





 function downloadFileFromLocal($filename) {
 global $UPDATE_FROM_LOCAL;
 
 if ($UPDATE_FROM_LOCAL) {
 if (copy("$UPDATE_FROM_LOCAL/$filename", "$this->tmpdir/$filename")) {
 $this->debug("Taken update file $UPDATE_FROM_LOCAL/$filename");
 return true;
 } else {
 $this->debug("Error while copying update file $UPDATE_FROM_LOCAL/$filename to $this->tmpdir/$filename");
 return false;
 }
 }
 }

 






 function downloadFile($filename, $silent = false) {

 $this->downloadFileFromLocal($filename);

 
 if (file_exists("$this->tmpdir/$filename")) {
 return true;
 }

 
 $ufiles = $this->getDownloadedUpdateFiles();
 $ufiles_fullpath = array_map(cb_cutleft('implode', ''), array_zip(array_fill(0, count($ufiles), $this->tmpdir . '/'), $ufiles));
 $this->unlink_old_files($ufiles_fullpath, 2);

 if (!$silent) {
 $progress = new Progress();
 $progress->init();
 }

 
 $baseurl = $this->getAutoupdateUpdateBaseUrl();
 $updateFileVersion = parse_version($filename);
 $url = $baseurl . $updateFileVersion['version'] . "/" . $filename;
 
 $this->debug("Fetching update from url:" . $url);
 $fh = fopen($url, 'r');
 $fhout = fopen( "$this->tmpdir/$filename", 'w');
 $size = $this->getDownloadSize($fh);
 if (!$silent) {
 $progress->start_size($size);
 }
 while ($data = fread($fh, 1024)) {
 
 ini_set("max_execution_time", 86400);
 fwrite($fhout, $data);
 if (!$silent) {
 $progress->downloaded(strlen($data));
 }
 }
 fclose($fhout);
 fclose($fh);
 if (!$silent) {
 $progress->done();
 }
 $this->debug("Downloaded file ($size bytes)");
 return true;
 }
 
 





 public function getLatestLocalUpdateFilename() {
 global $UPDATE_FROM_LOCAL, $TIME;

 
 $files = scandir($UPDATE_FROM_LOCAL);
 $highestversion = array();
 $highestfilename = false;
 foreach ($files as $file) {
 
 $version = parse_version($file);
 
 if (compare_gcnversion($version, $highestversion) > 0) {
 $highestfilename = $file;
 $highestversion = $version;
 }
 }
 return $highestfilename;
 }

 




 function handleCommand($cmd) {
 global $FILEPATH, $USER_ID, $CONFIGFILE, $NODEPATH;
 
 switch ($cmd) {
 case 'downloadupdate':
 
 $this->downloadFile($updatefile);
 break;

 case 'spawnupdate':
 $updatefile = $this->getSelectedUpdateFilename();
 $shellCmd = "echo " . escapeshellarg("nohup $NODEPATH/sh.php do=1040 cmd=update updateuser=$USER_ID updatefile=$updatefile " .
 "CONFIGFILE=$CONFIGFILE 2>&1") . " | sh >> " . $FILEPATH . "/log/autoupdate/updatelog &";
 $this->debug("Executed: " . $shellCmd); 
 exec($shellCmd);
 
 $cmd = 'updateprogress';
 break;

 case 'update':
 $this->executeUpdate($this->getSelectedUpdateFilename(), false);
 break;

 case 'getprogress':
 
 $res = query("SELECT name, textvalue FROM nodesetup WHERE name IN ('selfupdate_error', 'selfupdate_status')");
 if ($res["num"] > 0) {
 foreach($res["arr"] as $key => $row) {
 $ret[$row["name"]] = $row["textvalue"];
 }
 if ($ret["selfupdate_error"] != "") {
 $errtext = i18n($ret["selfupdate_error"]);
 } else {
 $errtext = "";
 }
 
 echo "{
					\"status\": \"" . $ret["selfupdate_status"] . "\",
					\"error\": \"" . $errtext . "\"
					}";
 }
 exit();
 break;

 
 
 
 case "autoupdate":
 if (!$FEATURE["force_autoupdate"]) {
 echo "The Gentics AutoUpdate Scheduler Task was discontinued.\n";
 exit(0);
 }

 
 if (AutoUpdateStatus::isUpdateRunning()) {
 echo "update is currently in progress, not doing anything here\n";
 exit(0);
 }

 echo "checking for new updates...\n";
 
 $filename = $this->getSelectedUpdateFilename();
 if (!$filename) {
 echo "error while checking for updates. could not verify latest build. exiting.\n";
 exit(1);
 }

 
 $version = get_current_gcnversion();
 $latest = $this->getLatestVersion();

 echo "installed version: " . prettyprint_gcnversion($version) . "\n";
 echo "latest available version: " . prettyprint_gcnversion($latest) . "\n";
 $updatesuccess = true;

 if ($FEATURE["force_autoupdate"] || compare_gcnversion($latest, $version) === 1 && ($doupdate == "true" || $doupdate == "1")) {
 
 echo "downloading update file\n";
 $this->downloadFile($filename, true);

 
 $changelog = displayChangelog($filename);

 if ($clDisplayError) {
 
 echo $changelog."\n";
 exit(1);
 }

 
 if ( strpos ( $changelog, "class=\"manual\"" ) !== false && !$FEATURE["force_autoupdate"]) {
 echo "ERROR: this update contains MANUAL CHANGES and cannot be applied automatically!\n";
 echo "Use the AutoUpdate in the Content.Admin to do the update by hand.\n";
 exit(1);
 }

 
 if ($FEATURE["suspend_scheduler"] && !$FEATURE["force_autoupdate"]) {
 echo "suspending scheduler\n";
 $autoupdate_suspend_timeout = $AUTOUPDATE_SUSPEND_TIMEOUT ? $AUTOUPDATE_SUSPEND_TIMEOUT : 60*60;
 $start = time();
 
 Scheduler::suspend($RUNNING_JOB_ID);
 $status = SCHEDULER_STATUS_RUNNING;
 while ($status != SCHEDULER_STATUS_SUSPENDED) {
 echo "checking scheduler status\n";
 $status = Scheduler::getStatus();
 if ($status != SCHEDULER_STATUS_SUSPENDED) {
 sleep(10);
 }
 if ((time() - $start) > $autoupdate_suspend_timeout) {
 echo "ERROR: timeout while waiting for suspending all scheduler tasks\n";
 Scheduler::resume();
 echo "resuming scheduler\n";
 exit(1);
 }
 }
 echo "suspended scheduler in ".(time() - $start)." s\n";
 }

 if ($message && $FEATURE["instantmessages"] && !$FEATURE["force_autoupdate"]) {
 
 $USER_ID = 1;
 echo "sending message to all users\n";
 if (!msg_interactive($message, -1, 1, 5)) {
 $JS .= global_validation_error_js_alert();
 }
 }

 
 echo "running update\n";
 $updatesuccess = $this->executeUpdate($filename, false);

 if ($updatesuccess) {
 echo "update successfully done.\n";
 } else {
 echo "Update failed!";
 
 
 $logFile = $this->updateStatusLogFile;
 echo "-- begin logfile ($logFile) --\n";
 echo file_get_contents($logFile);
 echo "-- end logfile --\n";
 echo "update failed (see errors above)\n";
 }
 
 
 echo "resuming scheduler\n";
 Scheduler::resume();
 }
 exit($updatesuccess ? 0 : 1);
 break;
 }
 
 return $cmd;
 }

 


 public function checkDirectories() {
 global $FILEPATH;
 @mkdir($this->tmpdir, 0777, true);
 
 if (!is_dir($FILEPATH . "/log/autoupdate/")) {
 mkdir($FILEPATH . "/log/autoupdate/", 0777, true);
 }
 }

 
 




 public function setSelectedUpdateFilenameByVersion($version) {
 $this->setSelectedUpdateFilename($this->getUpdatefileNameForVersion($version));
 }
 
 




 public function setSelectedUpdateFilename($updateFilename) {
 global $UPDATE_FROM_LOCAL;

 if(isset($updateFilename)) {
 $this->selectedUpdateFilename = $updateFilename;
 } else {
 if ($UPDATE_FROM_LOCAL) {
 $filename = $this->getLatestLocalUpdateFilename();
 
 $this->selectedUpdateFilename = $updateFilename;
 }
 }
 }
 
 






 public function getSelectedUpdateFilename() {
 $filename = $this->selectedUpdateFilename;
 return $filename;
 }
 
 




 public function updateNodeSetupLatestGCNVersionEntry($filename) {
 $sql = "delete from nodesetup where name = 'latest_gcnversion'";
 query($sql);
 $sql = "insert into nodesetup (name, textvalue) values ('latest_gcnversion', '".sqlf_escaped("$TIME;$filename")."')";
 query($sql);
 }
}

class UpdateLogFormatter extends ResultsetFormatter {
 function format($val, $param="") {
 global $ICO_LOGACTION, $ICO_DELETE, $STAG, $DO, $ICO_BLANK;
 $logfile = AutoUpdateStatus::getLogfile($val['date']);
 if (file_exists($logfile)) {
 return "<a href=\"$STAG&do=$DO&showlog=" . urlencode($val['date']) . "\">" .
 "<img border=0 src=\"$ICO_LOGACTION\" alt=\"" . i18n("show_log") . "\" title=\"" .
 i18n("show_log") . "\" style=\"margin:1px;\"></a>";
 } else {
 return "<img src=\"$ICO_BLANK\" height=\"18\" width=\"8\"/>-";
 }
 }
}

class UpdateStatusFormatter extends ResultsetFormatter {
 function format($val, $param="") {
 global $ICO_AJAXLOAD, $ICO_CHECK_ALL, $ICO_ALERT;
 switch ($val['status']) {
 case "in_progress":
 return i18n("sn_jobstatus_running");
 break;
 case "done":
 return "<span style=\"color: green\">OK</span>";
 break;
 case "error":
 return "<span style=\"color: red\">" . i18n("Failed") . "</span>";
 break;
 }
 }
}

class UpdateFileFormatter extends ResultsetFormatter {
 
 function format($row, $param="") {
 return preg_replace("/V(\d.\d+)-stable-([\d\w]+).zip/", "\\1, \\2", $row["updatefile"]);
 }
}

class UserFormatter extends ResultsetFormatter {
 function format($row, $param="") {
 return htmlentities($row["user"]);
 }
}




class AutoUpdateStatus {

 


 var $updateFile;

 



 var $updateTimestamp;

 


 var $autoupdatelogId = -1;

 function AutoUpdateStatus($updatefile) {
 $this->__construct($updatefile);
 }

 function __construct($updatefile) {
 global $updateuser;
 if (!$updateuser) { 
 $updateuser = -1;
 }
 $this->updateFile = $updatefile;
 $this->updateTimestamp = date("Y-m-d H:i:s");
 $this->cleanup();
 
 $res = query("INSERT INTO autoupdatelog (date, updatefile, status, user_id) VALUES ('" . sqlf_escaped($this->updateTimestamp) . "'," .
 "'".sqlf_escaped($updatefile)."', 'in_progress', ".sqlf_tl_num($updateuser).")");
 $this->autoupdatelogId = $res["iid"];
 }

 




 function getLogfile($myTimestamp=false) {
 global $FILEPATH;
 if ($myTimestamp) {
 $timestamp = $myTimestamp;
 } else {
 $timestamp = $this->updateTimestamp;
 }
 
 $ts = str_replace(array(' ', ':'), array('_', '-'), $timestamp);
 
 $logFile = "$FILEPATH/log/autoupdate/update-$ts.log";

 return $logFile;
 }

 


 function cleanup() {
 query("DELETE FROM nodesetup WHERE name IN ('selfupdate_status', 'selfupdate_error')");
 
 query("INSERT INTO nodesetup (name, textvalue) VALUES ('selfupdate_status', 'init')");
 }

 



 function setStatus($status) {
 query("UPDATE nodesetup SET textvalue = '".sqlf_escaped($status)."' WHERE name = 'selfupdate_status'");
 }

 



 function setError($error) {
 query("INSERT INTO nodesetup (name, textvalue) VALUES ('selfupdate_error', '".sqlf_escaped($error)."')");
 query("UPDATE autoupdatelog SET status = 'error' WHERE id = " . sqlf_tl_num($this->autoupdatelogId));
 }

 




 function isUpdateRunning() {
 $res = query("SELECT textvalue FROM nodesetup WHERE name = 'selfupdate_error'");
 
 if ($res["num"] > 0) {
 return false;
 }
 $res = query("SELECT textvalue FROM nodesetup WHERE name = 'selfupdate_status'");
 if ($res["num"] == 0) {
 return false;
 } else {
 if ($res["arr"][0]["textvalue"] == "done") {
 return false;
 }
 }
 return true;
 }

 



 function finish($haserror=false) {
 if ($haserror) {
 $status = 'error';
 } else {
 $status = 'done';
 }
 $this->setStatus($status);
 query("UPDATE autoupdatelog SET status = '".sqlf_escaped($status)."' WHERE id = " . sqlf_tl_num($this->autoupdatelogId));
 }
}

?>